<?php
// $Id: content_archive_section.menu.php,v 1.1 2003/11/23 23:58:24 eddieajau Exp $
/**
* Administrator menu content section event handler
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.1 $
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

//$types[] = mosHTML::makeOption( 'new_item', 'Content Item' );
$types[] = mosHTML::makeOption( 'content_archive_section', 'Content Section (Archives)' );

$reqpath = "$mosConfig_absolute_path/administrator/components/com_menus/content_archive_section";
require_once( "$reqpath/content_archive_section.class.php" );
require_once( "$reqpath/content_archive_section.menu.html.php" );

switch ($task) {
	case "content_archive_section":
		// this is the new item, ie, the same name as the menu `type`
		content_archive_section_menu::editSection( 0, $menutype, $option );
		break;

	case "edit":
		content_archive_section_menu::editSection( $cid[0], $menutype, $option );
		break;

	case "save":
		// no special handling
		saveMenu( $option );
		break;

	case "publish":
	case "unpublish":
		// no special action
		break;

	case "remove":
		// no special action
		break;
}
?>
